# 銀行振込（バーチャル口座）

`POST /your-endpoint-on-virtualaccount-payment`

- operationId: `receiveWebhookOfVirtualAccountPayment`
- tags: Webhook_通知仕様

銀行振込（バーチャル口座）による決済に関するイベント（`payments.virtualaccount.*`）で通知されるリクエストのボディの仕様です。


## リクエストボディ

Content-Type: `application/json`

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `order_id` | Payment_properties-id |  |  |
| `access_id` | access_id |  |  |
| `pay_type` | PayType |  | 決済種別 |
| `status` | PaymentStatus |  | 決済ステータス |
| `customer_group_id` | customer_group_id |  |  |
| `customer_id` | id |  |  |
| `process_date` | Payment_properties-process_date |  |  |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `amount` | amount |  | 利用金額 |
| `tax` | tax |  | 税送料 |
| `billing_amount` | billing_amount |  |  |
| `billing_tax` | billing_tax |  |  |
| `billing_total_amount` | billing_total_amount |  |  |
| `payment_term_day` | properties-payment_term_day |  |  |
| `payment_term` | payment_term |  |  |
| `payment_method_id` | PaymentMethod_properties-id |  |  |
| `va_branch_code` | va_branch_code |  |  |
| `va_branch_name` | va_branch_name |  |  |
| `va_account_number` | va_account_number |  |  |
| `va_account_name` | va_account_name |  |  |
| `account_assignment_date` | account_assignment_date |  |  |
| `virtual_account_id` | virtual_account_id |  |  |
| `transaction_date` | transaction_date |  |  |
| `value_date` | value_date |  |  |
| `remitter_bank_name` | remitter_bank_name |  |  |
| `remitter_branch_name` | remitter_branch_name |  |  |
| `remitter_account_name` | remitter_account_name |  |  |
| `error_code` | error_code |  | この決済において発生したエラーのうち、一番最新のエラーのエラーコードです。 |
| `overpayment_flag` | overpayment_flag |  |  |
| `cancel_overpayment_flag` | cancel_overpayment_flag |  |  |
| `expire_overpayment_flag` | expire_overpayment_flag |  |  |
| `bulk_payment_id` | bulk_payment_id |  |  |
| `use_static_virtual_account` | use_static_virtual_account |  |  |
| `use_exact_deposit_amount` | properties-use_exact_deposit_amount |  |  |
| `event` | FincodeEvent |  |  |

## レスポンス

### 200 fincodeに正常にWebhookを受信した旨をレスポンスしてください。

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `receive` | enum(0 | 1) |  | Webhook通知受信 |

### 400 4xx系、5xx系または上記以外のレスポンスを返却した場合、fincodeはエラーと判断しWebhook通知のリトライを行います。

